Partner Credentials
Operations on a channel partner's child organization credentials
120OK
Bad request
Unauthorized
Forbidden
Not found
Method not allowed
Conflict
Unprocessable Content
Internal server error
Default error response
GET /v2/partners/{partner_org_id}/orgs/{child_org_id}/credentials HTTP/1.1
Accept: */*
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"org_id": "text",
"name": "text",
"client_id": null,
"created_at": "2026-01-01T00:00:00.000Z",
"user_id": null,
"last_used_at": null,
"expires_at": null,
"revoked": true,
"azure_tenant_id": null,
"azure_csp_plan_subscription_id": null,
"pac": null,
"type": "tds_api_key",
"user": {
"id": "text",
"username": "text",
"full_name": null
}
}
]PAC Proxy Credentialtds_api_keyPossible values: null[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}\Z[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}\ZnullCreated
Bad request
Unauthorized
Forbidden
Not found
Method not allowed
Conflict
Unprocessable Content
Internal server error
Default error response
POST /v2/partners/{partner_org_id}/orgs/{child_org_id}/credentials HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 180
{
"value": "text",
"client_id": "text",
"name": "PAC Proxy Credential",
"type": "tds_api_key",
"expires_at": null,
"azure_tenant_id": "text",
"azure_csp_plan_subscription_id": "text",
"pac": null
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"org_id": "text",
"name": "text",
"client_id": null,
"created_at": "2026-01-01T00:00:00.000Z",
"user_id": null,
"last_used_at": null,
"expires_at": null,
"revoked": true,
"azure_tenant_id": null,
"azure_csp_plan_subscription_id": null,
"pac": null,
"type": "tds_api_key",
"user": {
"id": "text",
"username": "text",
"full_name": null
}
}OK
Bad request
Unauthorized
Forbidden
Not found
Method not allowed
Conflict
Internal server error
Default error response
GET /v2/partners/{partner_org_id}/orgs/{child_org_id}/credentials/{credential_id} HTTP/1.1
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"org_id": "text",
"name": "text",
"client_id": null,
"created_at": "2026-01-01T00:00:00.000Z",
"user_id": null,
"last_used_at": null,
"expires_at": null,
"revoked": true,
"azure_tenant_id": null,
"azure_csp_plan_subscription_id": null,
"pac": null,
"type": "tds_api_key",
"user": {
"id": "text",
"username": "text",
"full_name": null
}
}No Content
No content
Bad request
Unauthorized
Forbidden
Not found
Method not allowed
Conflict
Internal server error
Default error response
DELETE /v2/partners/{partner_org_id}/orgs/{child_org_id}/credentials/{credential_id} HTTP/1.1
Accept: */*
No content
OK
Bad request
Unauthorized
Forbidden
Not found
Method not allowed
Conflict
Unprocessable Content
Internal server error
Default error response
PATCH /v2/partners/{partner_org_id}/orgs/{child_org_id}/credentials/{credential_id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 30
{
"name": "text",
"revoked": true
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"org_id": "text",
"name": "text",
"client_id": null,
"created_at": "2026-01-01T00:00:00.000Z",
"user_id": null,
"last_used_at": null,
"expires_at": null,
"revoked": true,
"azure_tenant_id": null,
"azure_csp_plan_subscription_id": null,
"pac": null,
"type": "tds_api_key",
"user": {
"id": "text",
"username": "text",
"full_name": null
}
}Last updated
Was this helpful?

